Subject: bug#68334: 29.1; tool-bar-make-keymap-1 does not work on terminals

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Jan 2024 09:58:28 +0200

>> Context:  I am writing a package that displays toolbars attached to an
>> Emacs window instead of attached to the frame.  You can see the package
>> at <https://github.com/chaosemer/window-tool-bar>.
>
> Shouldn't this be a feature in core Emacs?  I believe that we have
> discussed that in the past.

This would be a nice feature, but I think whether to include it in core
Emacs depends on the implementation.  If it overwrites the tab line,
then this might be disappointing for users of tab-line-mode.
The README mentions adding (:eval (window-tool-bar-string))
to tab-line-format, but I don't understand how this could
solve the problem.